> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.prolific.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.prolific.com/_mcp/server.

# Receiving

Having successfully subscribed to our desired event type, our target url will be notified each and every time the associated event is triggered. You can react to this event in any way you see fit. The response body will adhere to the following structure:

### submission.status.change

```json
{
  "resource_id": "<resource_id>",
  "event_type": "submission.status.change",
  "participant_id": "<participant_id>",
  "status": "<status>",
}

```

| Field           | Description                                                              |
| --------------- | ------------------------------------------------------------------------ |
| resource\_id    | The unique identifier of the submission resource.                        |
| event\_type     | The type of event `submission.status.change`.                            |
| participant\_id | The unique identifier of the participant associated with the submission. |
| status          | The new status of the submission.                                        |

### study.status.change

```json
{
  "resource_id": "<resource_id>",
  "event_type": "study.status.change",
  "metadata": {},
  "status": "<status>",
}
```

| Field        | Description                                                   |
| ------------ | ------------------------------------------------------------- |
| resource\_id | The unique identifier of the study resource.                  |
| event\_type  | The type of event `study.status.change`.                      |
| metadata     | Any additional metadata related to the study’s status change. |
| status       | The new status of the study.                                  |

### study.progress.change

```json
{
  "resource_id": "<resource_id>",
  "event_type": "study.progress.change",
}

```

| Field        | Description                                  |
| ------------ | -------------------------------------------- |
| resource\_id | The unique identifier of the study resource. |
| event\_type  | The type of event `study.progress.change`.   |

### study.has\_high\_return\_rate

```json
{
  "resource_id": "<resource_id>",
  "event_type": "study.has_high_return_rate",
  "metadata": {},
}

```

| Field        | Description                                                                                     |
| ------------ | ----------------------------------------------------------------------------------------------- |
| resource\_id | The unique identifier of the study resource. For sub-studies, this will be the parent study ID. |
| event\_type  | The type of event `study.has_high_return_rate`.                                                 |
| metadata     | Any additional metadata related to the study’s high return rate.                                |